Permalink
Browse files

Added TravisCI support, this needs a before_install to install the na…

…tive dependencies the pg module requires.
  • Loading branch information...
1 parent 3ee131a commit 8ee341ab86cae50834b55dcac718b81d9709eaab @larzconwell larzconwell committed Sep 5, 2012
Showing with 11 additions and 0 deletions.
  1. +8 −0 .travis.yml
  2. +3 −0 package.json
View
8 .travis.yml
@@ -0,0 +1,8 @@
+language: node_js
+node_js:
+ - "0.8"
+ - "0.6"
+
+before_install:
+ - sudo apt-get install libpq-dev libpq5 build-essential
+install: npm install utilities pg
View
3 package.json
@@ -17,6 +17,9 @@
"version": "0.0.8",
"author": "Matthew Eernisse <mde@fleegix.org> (http://fleegix.org)",
"main": "./lib/index.js",
+ "scripts": {
+ "test": "jake test"
+ },
"repository": {
"type": "git",
"url": "git://github.com/mde/model.git"

0 comments on commit 8ee341a

Please sign in to comment.